package com.supServer.project.service;

import com.supServer.framework.web.domain.AjaxResult;

/**
 * @description：
 * @Author:
 * @Date:
 */
public interface SmsService {

    /**
     * 发送短信
     * @param phone
     * @param code
     */
    void sendSMS(String phone,String code);

    /**
     * 获取验证码
     * @param phone
     */
    AjaxResult sendCode(String phone, String codeType);

    /**
     * 校验
     * @param phone
     * @param code
     * @return
     */
    boolean validateCode(String phone, String code);

}
